<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page isELIgnored ="false" %> 

<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />
<jsp:useBean id="dateValue" class="java.util.Date" />

<html>
  <head>
    <fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>

    <c:url var="addActivity" value="addActivity.jsp"/>
    <c:url var="showTicket" value="showTicket.jsp"/>

    <c:url var="backToTicket" value="showTicket.jsp">
      <c:param name="ticketType" value="${param.ticketType}"/>
      <c:param name="persistent_id" value="${param.objectHandle}"/>
    </c:url>
    
    
    <c:url var="viewActivities" value="viewActivities.jsp">
      <c:param name="ticketType" value="${param.ticketType}"/>
      <c:param name="objectHandle" value="${param.objectHandle}"/>
      <c:param name="refNum" value="${param.refNum}"/>
    </c:url>

    <!-- Post the data to the server if the ticket has been updated -->
    <c:if test="${!empty param.addActivity && param.mustComment == 'false'}">
      <c:catch var="addException">
        <esr:request action="addActivity" service="caservicedesk" domain="caservicedesk">
          <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
          <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
          <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
          <esr:argument name="userid" type="string">${sessionScope.userid}</esr:argument>
          <esr:argument name="objectHandle" type="string">${param.objectHandle}</esr:argument>
          <esr:argument name="logType" type="string">${param.logType}</esr:argument>
          <esr:argument name="internal" type="string">${param.internal}</esr:argument>
          <esr:argument name="description" type="string">${param.description}</esr:argument>
        </esr:request>
      </c:catch>
    </c:if>

    <c:if test="${!empty param.addActivity && param.mustComment == 'false'}">
      <jsp:forward page="${viewActivities}">
        <jsp:param name="ticketType" value="${param.ticketType}"/>
        <jsp:param name="objectHandle" value="${param.objectHandle}"/>
        <jsp:param name="refNum" value="${param.refNum}"/>
      </jsp:forward>
    </c:if>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title><fmt:message key="screen.title" bundle="${msg}"/></title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />
    <style>
      .ui-autocomplete-loading { background: white url('images/ui-anim_basic_16x16.gif') right center no-repeat; }
    </style>

    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/caservicedesk.css");
      label.required {
      	font-weight: bold;
      	color: #990033;
      }
    </style>
  </head>
  <body>
    <fmt:message var="ticketTypeDesc" key="ticket.type.${param.ticketType}" bundle="${msg}"/>
    <div id="content">
    <div class="main box">
      <h1>${ticketTypeDesc}&nbsp;${param.refNum}&nbsp;<fmt:message key="activity.log" bundle="${msg}"/>&nbsp;</h1>
      <div class="lining">
        <c:if test="${!empty param.addActivity}">
          <c:choose>
            <c:when test="${param.mustComment == 'true' && !empty param.description}">
              <jsp:forward page="${showTicket}">
                <jsp:param name="updateTicket" value="true"/>
                <jsp:param name="ticketType" value="${param.ticketType}"/>
                <jsp:param name="refNum" value="${param.refNum}"/>
                <jsp:param name="newstatus" value="${param.newstatus}"/>
                <jsp:param name="persistent_id" value="${param.persistent_id}"/>
                <jsp:param name="newurgency" value="${param.newurgency}"/>
                <jsp:param name="newimpact" value="${param.newimpact}"/>
                <jsp:param name="categoryId" value="${param.categoryId}"/>
                <jsp:param name="groupId" value="${param.groupId}"/>
                <jsp:param name="assigneeId" value="${param.assigneeId}"/>
                <jsp:param name="logType" value="${param.logType}"/>
                <jsp:param name="internal" value="${param.internal}"/>
                <jsp:param name="description" value="${param.description}"/>
                <jsp:param name="status_comment_f" value="1"/>
                <jsp:param name="mustComment" value="false"/>
              </jsp:forward>          
            </c:when>
            <c:when test="${param.mustComment == 'true' && empty param.description}">
              <div class="alert-message"> 
                <fmt:message key="activity.comment.missing" bundle="${msg}"/>
              </div>
            </c:when>
            <c:when test="${addException != null}">
              <div class="alert-message"> 
                ${fn:replace(addException.message, sessionScope.exceptionString, "")}
              </div>
            </c:when>
            <c:otherwise>
              <div class="success-message"> 
                <fmt:message key="ticket.update.success" bundle="${msg}"/>
              </div>
            </c:otherwise>
          </c:choose>
        </c:if>
        <form method="post" action="${addActivity}">
          <input type="hidden" id="ticketType" name="ticketType" value="${param.ticketType}"/>
          <input type="hidden" id="mustComment" name="mustComment" value="${param.mustComment}"/>
          <input type="hidden" id="objectHandle" name="objectHandle" value="${param.objectHandle}"/>
          <input type="hidden" id="refNum" name="refNum" value="${param.refNum}"/>
          <input type="hidden" id="newstatus" name="newstatus" value="${param.newstatus}"/>
          <input type="hidden" id="persistent_id" name="persistent_id" value="${param.persistent_id}"/>
          <input type="hidden" id="newurgency" name="newurgency" value="${param.newurgency}"/>
          <input type="hidden" id="newimpact" name="newimpact" value="${param.newimpact}"/>
          <input type="hidden" id="categoryId" name="categoryId" value="${param.categoryId}"/>
          <input type="hidden" id="groupId" name="groupId" value="${param.groupId}"/>
          <input type="hidden" id="assigneeId" name="assigneeId" value="${param.assigneeId}"/>
          
          <c:if test="${param.mustComment == 'true'}">
            <h3>
              <x:set var="statusDesc" select="string($sessionScope:statuses//status[@code=$param:newstatus])"/>
              <fmt:message key="activity.comment.required" bundle="${msg}">
                <fmt:param value="${statusDesc}"/>
              </fmt:message>
            </h3>
          </c:if>
          <c:if test="${param.mustComment == 'false'}">
            <div class="details">
              <label for="logType"><fmt:message key="ticket.requester.${param.ticketType}" bundle="${msg}"/>:</label>
              <select id="logType" name="logType">
                <option value="CB"><fmt:message key="activity.callback" bundle="${msg}"/></option>
                <option value="LOG" selected="selected"><fmt:message key="activity.log.comment" bundle="${msg}"/></option>
                <option value="RS"><fmt:message key="activity.research" bundle="${msg}"/></option>
              </select>
            </div>
          </c:if>
          <!-- If the ticket status is RESOLVED and it is an Incident/Problem/Request, show the Resolution dropdowns -->
          <c:if test="${param.mustComment == 'true' && param.newstatus == 'RE'}">
            <div class="details">
              <label for="resocode"><fmt:message key="ticket.resolution.code" bundle="${msg}"/>:</label>
              <span id="resocode">
                <select id="newresocode" name="newresocode">
                  <option value=""></option>
                  <x:forEach var="resocode" select="$sessionScope:resCodeList//record">
                    <option value="<x:out select='$resocode/sym'/>"><x:out select="$resocode/sym"/></option>
                  </x:forEach>
                </select>
              </span>
            </div>
            <div class="details">
              <label for="resomethod"><fmt:message key="ticket.resolution.method" bundle="${msg}"/>:</label>
              <span id="resomethod">
                <select id="newresomethod" name="newresomethod">
                  <option value=""></option>
                  <x:forEach var="resomethod" select="$sessionScope:resoMethodList//record">
                    <option value="<x:out select='$resomethod/sym'/>"><x:out select="$resomethod/sym"/></option>
                  </x:forEach>
                </select>
              </span>
            </div>        
          </c:if>
          <div class="details">
            <label for="internal"><fmt:message key="activity.internal" bundle="${msg}"/>:</label>
            <input type="checkbox" id="internal" name="internal" value="true"/>
          </div>
          <div class="details">
            <label for="description"><fmt:message key="ticket.description" bundle="${msg}"/>:</label>
            <textarea cols="20" rows="3" id="description" name="description"></textarea>
          </div>
          <div class="details">
            <c:if test="${param.mustComment == 'true'}">
              <fmt:message var="updateTicketDesc" key="button.update" bundle="${msg}">
                <fmt:param value="${ticketTypeDesc}"/>
              </fmt:message>
              <fmt:message var="showTicketDesc" key="button.show.ticket" bundle="${msg}">
                <fmt:param value="${ticketTypeDesc}"/>
              </fmt:message>
              <input type="submit" name="addActivity" class="button" value="${updateTicketDesc}"/>
              <input type="button" name="backToTicket" class="button" value="${showTicketDesc}" onclick="location.href='${backToTicket}'"/>
            </c:if>
            <c:if test="${param.mustComment == 'false'}">
              <input type="submit" name="addActivity" class="button" value="<fmt:message key='button.add.activity' bundle='${msg}'/>"/>
              <input type="button" name="viewActivity" class="button" value="<fmt:message key='button.view.activity' bundle='${msg}'/>" onclick="location.href='${viewActivities}'"/>
            </c:if>
          </div>
        </form>
      </div>
    </div>
    <jsp:include page="footer.jsp"/>
  </body>
</html>
