<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page isELIgnored ="false" %> 

<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %> 


<html>
  <head>
    <fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>

    <!-- Create the ticket based on the user role in CA SDM -->
    <c:if test="${!empty param.next}">
      <c:catch var="createException">
        <esr:request action="createTicket" service="caservicedesk" domain="caservicedesk">
          <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
          <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
          <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
          <esr:argument name="userid" type="string">${sessionScope.userid}</esr:argument>
          <esr:argument name="description" type="string">${param.summary}</esr:argument>
        </esr:request>
        <c:set var="ticketXml">${pageScope.result.response}</c:set>
        <x:parse var="ticket" doc="${ticketXml}"/>
     </c:catch>
   </c:if>
      
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
   <title><fmt:message key="screen.title" bundle="${msg}"/></title>
   <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

   <meta http-equiv="Cache-Control" content="max-age=0" />
   <meta http-equiv="Pragma" content="no-cache" />
   <meta http-equiv="Expires" content="-1" />
   <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
   <meta name="MobileOptimized" content="100" />

   <script src="/mg/includes/javascript/jquery-1.4.4.js"></script>
   <script src="/mg/includes/javascript/jquery.ui.core.js"></script>
   <script src="/mg/includes/javascript/jquery.ui.widget.js"></script>
   <script src="/mg/includes/javascript/jquery.ui.position.js"></script>
   <script src="/mg/includes/javascript/jquery.ui.autocomplete.js"></script>
   <style type="text/css" media="all" title="xMatters mobile access">
     .ui-autocomplete-loading { background: white url('images/ui-anim_basic_16x16.gif') right center no-repeat; }
   </style>

   <style type="text/css" media="all" title="xMatters mobile access">
     @import url("/mg/css/caservicedesk.css");
     label.required {
     	font-weight: bold;
     	color: #990033;
     }
  </style>
  </head>
  <body>
    <div id="content">
      <c:url var="createTicket" value="createTicket.jsp" />
      <form id="target" method="post" action="${createTicket}">
        <div class="main box">
          <fmt:message var="ticketTypeDesc" key="ticket.type.${sessionScope.preferredDocument}" bundle="${msg}"/>
          <fmt:message var="createTicketDesc" key="button.create" bundle="${msg}">
            <fmt:param value="${ticketTypeDesc}"/>
          </fmt:message>
          <h1><fmt:message key="management.system" bundle="${msg}"/>&nbsp;${createTicketDesc}</h1>
          <div class="lining">
            <c:if test="${!empty param.next}">
              <c:choose>
                <c:when test="${!empty createException}">
                  <div class="alert-message"> 
                    ${fn:replace(createException.message, sessionScope.exceptionString, "")}
                  </div>
                </c:when>
                <c:otherwise>
                  <x:set var="ticketType" select="string($ticket//record/ticketType)"/>
                  <x:set var="objectHandle" select="string($ticket//record/objectHandle)"/>
                  <x:set var="refNum" select="string($ticket//record/refNum)"/>

                  <c:url var="url" value="showTicket.jsp" />
                  <jsp:forward page="${url}">
                    <jsp:param name="ticketType" value="${sessionScope.preferredDocument}"/>
                    <jsp:param name="persistent_id" value="${objectHandle}"/>
                    <jsp:param name="refNum" value="${refNum}"/>
                    <jsp:param name="isNew" value="true"/>
                  </jsp:forward>
                </c:otherwise>
              </c:choose>
            </c:if>
            <div class="details">
              <label for="summary"><fmt:message key="ticket.summary" bundle="${msg}"/>:</label>
              <input id="summary" name="summary"/>
            </div>
            <input type="submit" name="next" class="button" value="<fmt:message key='button.next' bundle='${msg}'/>"/>
          </div>
        </div>
      </form>
    </div>
    <jsp:include page="footer.jsp"/>
  </body>
</html>