<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page isELIgnored ="false" %> 

<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<html>
  <head>
    <fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>

    <c:choose>
      <c:when test="${param.ticketType == 'chg'}">
        <c:set var="ref_num" value="chg_ref_num"/>
        <c:set var="last_mod_dt" value="modified_date"/>
        <c:set var="urgency" value="risk"/>
      </c:when>
      <c:when test="${param.ticketType == 'iss'}">
        <c:set var="ref_num" value="ref_num"/>
        <c:set var="last_mod_dt" value="modified_date"/>
        <c:set var="urgency" value="effort"/>
      </c:when>
      <c:otherwise>
        <c:set var="ref_num" value="ref_num"/>
        <c:set var="last_mod_dt" value="last_mod_dt"/>
        <c:set var="urgency" value="urgency"/>
      </c:otherwise>
    </c:choose>
    <esr:request action="diffTicket" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
      <esr:argument name="whereClause" type="string">persistent_id = '${param.objectHandle}'</esr:argument>
      <esr:argument name="attributes" type="string">${ref_num}, persistent_id, requested_by, requested_by.combo_name, priority, priority.sym, status, status.sym, ${urgency}, ${urgency}.sym, impact, impact.sym, category, category.sym, group, group.combo_name, group.userid, assignee, assignee.combo_name, assignee.userid, description, open_date, close_date, ${last_mod_dt}, log_agent, log_agent.combo_name</esr:argument>
      <esr:argument name="oldTicket" type="string">${param.oldTicket}</esr:argument>
      <esr:argument name="assigneeName" type="string">${param.assigneeName}</esr:argument>
      <esr:argument name="groupName" type="string">${param.groupName}</esr:argument>
      <esr:argument name="categoryDesc" type="string">${param.categoryDesc}</esr:argument>
      <esr:argument name="statusDesc" type="string">${param.statusDesc}</esr:argument>
      <esr:argument name="urgencyDesc" type="string">${param.urgencyDesc}</esr:argument>
      <esr:argument name="impactDesc" type="string">${param.impactDesc}</esr:argument>
    </esr:request>
    <c:set var="ticketXml">${pageScope.result.response}</c:set>
    <x:parse var="diffTicket" doc="${ticketXml}"/>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title><fmt:message key="screen.title" bundle="${msg}"/></title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/caservicedesk.css");
      label.required {
      	font-weight: bold;
      	color: #990033;
      }
      #ticketList 
      {
        font-size: 1em;
      }
    </style>
  </head>
  <body>
    <div id="content">
      <div class="main box">
        <h1>
          <fmt:message var="ticketTypeDesc" key="ticket.type.${param.ticketType}" bundle="${msg}"/>
          <fmt:message key="management.system" bundle="${msg}"/>&nbsp;${ticketTypeDesc}&nbsp;${param.refNum}
        </h1>
        <div class="lining">
          <c:url var="showTicket" value="showTicket.jsp" />
      
          <p>
            <fmt:message key="ticket.conflict" bundle="${msg}">
              <fmt:param value="${ticketTypeDesc}"/>
            </fmt:message>
          </p>
          <x:set var="records" select="string($diffTicket//record)"/>
          <c:choose>
            <c:when test="${records != ''}">
              <table id="ticketList" width="100%">
                <thead>
                  <tr>
                    <th><fmt:message key="ticket.field" bundle="${msg}"/></th>
                    <th><fmt:message key="ticket.yours" bundle="${msg}"/></th>
                    <th><fmt:message key="ticket.servers" bundle="${msg}"/></th>
                  </tr>
                </thead>
                <tbody>
                  <x:forEach var="diff" select="$diffTicket//record">
                    <x:set var="fieldName" select="string($diff/fieldName)"/>
                    <tr>
                      <td><fmt:message key="${fieldName}" bundle="${msg}"/></td>
                      <td><x:out select="$diff/updatedValue"/></td>
                      <td><x:out select="$diff/newValue"/></td>
                    </tr>
                  </x:forEach>
                </tbody>
              </table>
            </c:when>
            <c:otherwise>
              <jsp:forward page="${showTicket}">
                <jsp:param name="refNum" value="${param.refNum}"/>
                <jsp:param name="persistent_id" value="${param.objectHandle}"/>
                <jsp:param name="ticketType" value="${param.ticketType}"/>
                <jsp:param name="newstatus" value="${param.newstatus}"/>
                <jsp:param name="newurgency" value="${param.newurgency}"/>
                <jsp:param name="newimpact" value="${param.newimpact}"/>
                <jsp:param name="category" value="${param.category}"/>
                <jsp:param name="categoryId" value="${param.categoryId}"/>
                <jsp:param name="group" value="${param.group}"/>
                <jsp:param name="groupId" value="${param.groupId}"/>
                <jsp:param name="assignee" value="${param.assignee}"/>
                <jsp:param name="assigneeId" value="${param.assigneeId}"/>
                <jsp:param name="updateTicket" value="updateTicket"/>
              </jsp:forward> 
            </c:otherwise>
          </c:choose>
          <form method="post" action="${showTicket}" >
            <input type="hidden" id="oldTicket" name="oldTicket" value="${param.oldTicket}"/>
            <input type="hidden" id="refNum" name="refNum" value="${param.refNum}"/>
            <input type="hidden" id="persistent_id" name="persistent_id" value="${param.objectHandle}"/>
            <input type="hidden" id="ticketType" name="ticketType" value="${param.ticketType}"/>
            <input type="hidden" id="newstatus" name="newstatus" value="${param.newstatus}"/>
            <input type="hidden" id="newurgency" name="newurgency" value="${param.newurgency}"/>
            <input type="hidden" id="newimpact" name="newimpact" value="${param.newimpact}"/>
            <input type="hidden" id="category" name="category" value="${param.category}"/>
            <input type="hidden" id="categoryId" name="categoryId" value="${param.categoryId}"/>
            <input type="hidden" id="group" name="group" value="${param.group}"/>
            <input type="hidden" id="groupId" name="groupId" value="${param.groupId}"/>
            <input type="hidden" id="assignee" name="assignee" value="${param.assignee}"/>
            <input type="hidden" id="assigneeId" name="assigneeId" value="${param.assigneeId}"/>
            <div>
              <fmt:message var="updateTicketDesc" key="button.update" bundle="${msg}">
                <fmt:param value="${ticketTypeDesc}"/>
              </fmt:message>
              <input type="submit" name="cancelUpdate" class="button" value="<fmt:message key='button.cancel' bundle='${msg}'/>"/>
              <input type="submit" name="updateTicket" class="button" value="${updateTicketDesc}"/>
            </div>
          </form>
        </div>
      </div>
    </div>
    <jsp:include page="footer.jsp"/>
  </body>
</html>
