<%@ page contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>

<c:url var="url" value="showTicket.jsp" >
  <c:param name="ticketType" value="${param.ticketType}" />
</c:url>

<c:choose>
  <c:when test="${param.ticketType == 'chg'}">
    <c:set var="ref_num" value="chg_ref_num"/>
  </c:when>
  <c:otherwise>
    <c:set var="ref_num" value="ref_num"/>
  </c:otherwise>
</c:choose>

<c:set var="xslt">
  <xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <!-- Root template -->
    <xsl:template match="/">
      <xsl:for-each select="results/records/record">
        <xsl:sort select="ref_num" order="ascending"/>
        <tr>
          <td>
            <xsl:element name="a">
              <xsl:attribute name="href">${url}&amp;persistent_id=<xsl:value-of select="persistent_id" /></xsl:attribute> 
              <xsl:value-of select="${ref_num}"/>
            </xsl:element>
          </td>
          <td><xsl:value-of select="status.sym"/></td>
          <td><xsl:value-of select="priority.sym"/></td>
          <td><xsl:value-of select="description"/></td>
        </tr>
      </xsl:for-each>
    </xsl:template>
  </xsl:stylesheet>
</c:set>

<!-- Retrieve the activity log from CA SDM for the ticket-->
<esr:request action="searchTickets" service="caservicedesk" domain="caservicedesk">
  <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
  <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
  <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
  <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
  <esr:argument name="ref_num" type="string">${param.ref_num}</esr:argument>
  <esr:argument name="requester" type="string">${param.requesterId}</esr:argument>
  <esr:argument name="status" type="string">${param.newstatus}</esr:argument>
  <esr:argument name="impact" type="string">${param.newimpact}</esr:argument>
  <esr:argument name="urgency" type="string">${param.newurgency}</esr:argument>
  <esr:argument name="assignee" type="string">${param.assigneeId}</esr:argument>
  <esr:argument name="group" type="string">${param.groupId}</esr:argument>
  <esr:argument name="attributes" type="string">persistent_id, ${ref_num}, priority, priority.sym, status, status.sym, description</esr:argument>
  <esr:argument name="startIndex" type="string">${param.startIndex}</esr:argument>
  <esr:argument name="chunkSize" type="string">${param.chunkSize}</esr:argument>
  <esr:argument name="reverse" type="string">true</esr:argument>
  <esr:argument name="listLength" type="string">${param.listLength}</esr:argument>
  <esr:argument name="listHandle" type="string">${param.listHandle}</esr:argument>
</esr:request>
<x:transform xml="${pageScope.result.response}" xslt="${xslt}"/>
<c:if test="${(param.startIndex + param.chunkSize) < param.listLength}">
  <tr id="more">
    <td colspan="4"><a href="#" class="more">Load More...</a></td>
  </tr>
</c:if>


