<c:set var="exceptionString" scope="session" value="org.apache.axis2.AxisFault: com.alarmpoint.integrationagent.soap.exception.SOAPRequestException:"/>
<c:set var="service" scope="session" value="caservicedesk"/>
<c:set var="domain" scope="session" value="caservicedesk"/>

<c:if test="${not empty sessionScope.mgPassword}">
  <c:set var="casdmPassword" scope="session">${sessionScope.mgPassword}</c:set>
</c:if>

<c:if test="${not empty param.password}">
  <c:set var="casdmPassword" scope="session">${param.password}</c:set>
</c:if>

<c:choose>
    <c:when test="${not empty param.user}">
        <c:set var="casdmUsername" scope="session">${param.user}</c:set>
    </c:when>
    <c:otherwise>
        <c:set var="casdmUsername" scope="session">${mobileGatewaySession.user.targetName}</c:set>
    </c:otherwise>
</c:choose>

<!-- Retrieve the CA SDM User and SID for the current session -->
<c:catch var="loginException">
  <esr:request action="getHandleForUserId" service="caservicedesk" domain="caservicedesk">
    <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
    <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
    <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
  </esr:request>
</c:catch>

<c:if test="${loginException == null}" >
  <c:set var="userXml">${pageScope.result.response}</c:set>
  <x:parse var="doc" doc="${userXml}"/>
  <x:set var="sid" select="string($doc//users/@sid)" scope="session"/>
  <x:set var="userid" select="string($doc//user)" scope="session"/>

  <!-- Retrieve the impact list from CA SDM -->
  <c:if test="${sessionScope.impactList == null}">
    <esr:request action="doQuery" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">imp</esr:argument>
      <esr:argument name="whereClause" type="string"></esr:argument>
    </esr:request>
    <c:set var="impactXml">${pageScope.result.response}</c:set>
    <x:parse var="impactList" doc="${impactXml}" scope="session"/>
  </c:if>

  <!-- Retrieve the urgency list from CA SDM -->
  <c:if test="${sessionScope.urgencyList == null}">
    <esr:request action="doQuery" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">urg</esr:argument>
      <esr:argument name="whereClause" type="string"></esr:argument>
    </esr:request>
    <c:set var="urgencyXml">${pageScope.result.response}</c:set>
    <x:parse var="urgencyList" doc="${urgencyXml}" scope="session"/>
  </c:if>
  
  <!-- Retrieve the resolution code list from CA SDM -->
  <c:if test="${sessionScope.resCodeList == null}">
    <esr:request action="doQuery" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">resocode</esr:argument>
      <esr:argument name="whereClause" type="string"></esr:argument>
    </esr:request>
    <c:set var="resCodeXml">${pageScope.result.response}</c:set>
    <x:parse var="resCodeList" doc="${resCodeXml}" scope="session"/>
  </c:if>

  <!-- Retrieve the resolution method list from CA SDM -->
  <c:if test="${sessionScope.resoMethodList == null}">
    <esr:request action="doQuery" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">resomethod</esr:argument>
      <esr:argument name="whereClause" type="string"></esr:argument>
    </esr:request>
    <c:set var="resoMethodXml">${pageScope.result.response}</c:set>
    <x:parse var="resoMethodList" doc="${resoMethodXml}" scope="session"/>
  </c:if>

  <!-- Retrieve the preferred document type for the current logged in user -->
  <c:if test="${empty sessionScope.preferredDocument}">
    <esr:request action="getPreferredDocument" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">cnt_role</esr:argument>
      <esr:argument name="whereClause" type="string">contact = U'${sessionScope.userid}' AND is_default = 1</esr:argument>
    </esr:request>
    <c:set var="preferredDocument" scope="session">${pageScope.result.response}</c:set>
  </c:if>
  
</c:if>
