<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page isELIgnored ="false" %> 

<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<html>
  <head>
    <fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title><fmt:message key="screen.title" bundle="${msg}"/></title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/caservicedesk.css");
      label.required {
      	font-weight: bold;
      	color: #990033;
      }
    </style>
  </head>
  <body>
    <c:choose>
      <c:when test="${param.ticketType == 'chg'}">
        <c:set var="ref_num" value="chg_ref_num"/>
      </c:when>
      <c:otherwise>
        <c:set var="ref_num" value="ref_num"/>
      </c:otherwise>
    </c:choose>
    
     <c:choose>
      <c:when test="${param.ticketType == 'cr'}">
        <c:set var="whereClause" value="assignee = U'${sessionScope.userid}' and status != 'CL' and type = 'R'"/>
      </c:when>
      <c:otherwise>
        <c:set var="whereClause" value="assignee = U'${sessionScope.userid}' and status != 'CL'"/>
      </c:otherwise>
    </c:choose>
    

    <esr:request action="getStatuses" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
    </esr:request>
    <c:set var="statusXml">${pageScope.result.response}</c:set>
    <x:parse var="statuses" doc="${statusXml}" scope="session"/>

    <esr:request action="doQuery" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
      <esr:argument name="whereClause" type="string">${whereClause}</esr:argument>
      <esr:argument name="attributes" type="string">persistent_id, ${ref_num}, priority, priority.sym, status, status.sym, summary</esr:argument>
    </esr:request>
    <x:parse var="tickets" doc="${pageScope.result.response}"/>

    <div id="content">
      <div class="main box">
        <h1><fmt:message key="management.system" bundle="${msg}"/>&nbsp; <fmt:message key="${param.ticketDesc}" bundle="${msg}"/></h1>
        <div class="lining">
          <table id="ticketList" width="100%">
            <thead>
              <tr>
                <th><fmt:message key="ticket.number" bundle="${msg}"/></th>
                <th><fmt:message key="ticket.status" bundle="${msg}"/></th>
                <th><fmt:message key="ticket.priority" bundle="${msg}"/></th>
                <th><fmt:message key="ticket.summary" bundle="${msg}"/></th>
              </tr>
            </thead>
            <tbody>
              <x:forEach var="ticket" select="$tickets//record">
                <tr>
                  <x:set var="persistent_id" select='string($ticket/persistent_id)'/>
                  <c:url var="url" value="showTicket.jsp" >
                    <c:param name="persistent_id" value="${persistent_id}" />
                    <c:param name="ticketType" value="${param.ticketType}" />
                    <c:param name="listTickets" value="true" />
                  </c:url>
                  <td>
                    <c:choose>
                      <c:when test="${param.ticketType == 'chg'}">
                        <a href="${url}"><x:out select='$ticket/chg_ref_num'/></a>
                      </c:when>
                      <c:otherwise>
                        <a href="${url}"><x:out select='$ticket/ref_num'/></a>
                      </c:otherwise>
                    </c:choose>
                  </td>              
                  <td><x:out select='$ticket/status.sym'/></td>
                  <td><x:out select='$ticket/priority.sym'/></td>
                  <td><x:out select='$ticket/summary'/></td>
                </tr>
              </x:forEach>
            </tbody>
          </table>
      </div>
    </div>
    <jsp:include page="footer.jsp"/>
  </body>
</html>
