<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page isELIgnored ="false" %> 

<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri='http://java.sun.com/jsp/jstl/xml' prefix='x'%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<html>
  <head>
    <fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title><fmt:message key="screen.title" bundle="${msg}"/></title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/caservicedesk.css");
      label.required {
      	font-weight: bold;
      	color: #990033;
      }
    </style>
  </head>
  <body>
    <c:if test="${empty sessionScope.casdmUsername}">
      <%@ include file="initialize.jsp"%>
    </c:if>
    <div id="content">
      <c:if test="${empty loginException}">
        <div class="menu box">
          <h1><fmt:message key="management.system" bundle="${msg}"/>&nbsp;<fmt:message key="screen.menu" bundle="${msg}"/></h1>
          <div class="lining">
            <esr:request action="getTicketCounts" service="caservicedesk" domain="caservicedesk">
              <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
              <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
              <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
              <esr:argument name="whereClause" type="string">assignee = U'${sessionScope.userid}' and status != 'CL'</esr:argument>
            </esr:request>
            <x:parse var="result" doc="${pageScope.result.response}"/>

            <form method="post" action="<c:url value='createTicket.jsp'/>" name="createTicketForm" >
              <fmt:message var="ticketTypeDesc" key="ticket.type.${sessionScope.preferredDocument}" bundle="${msg}"/>
              <fmt:message var="createTicketDesc" key="button.create" bundle="${msg}">
                <fmt:param value="${ticketTypeDesc}"/>
              </fmt:message>
              <ul>
                <li><a href="javascript:document.createTicketForm.submit()">${createTicketDesc}</a></li>
              </ul>
            </form>
          </div>
        </div>
        <div class="menu box">
          <h1><fmt:message key="screen.filtered.reports" bundle="${msg}"/></h1>
          <div class="lining">
            <form method="post" action="<c:url value='searchTicket.jsp'/>" >
              <!-- As we recommend managed logins for this integration, we will attempt to
                   query the system using the user id. If this fails, we will present the
                   user with the login page
              -->
              <select id="ticketType" name="ticketType">
                <option value="in"><fmt:message key="ticket.incidents" bundle="${msg}"/></option>
                <option value="pr"><fmt:message key="ticket.problems" bundle="${msg}"/></option>
                <option value="cr"><fmt:message key="ticket.requests" bundle="${msg}"/></option>
                <option value="iss"><fmt:message key="ticket.issues" bundle="${msg}"/></option>
                <option value="chg"><fmt:message key="ticket.changes" bundle="${msg}"/></option>
              </select>
              <input type="submit" name="search" class="button" value="<fmt:message key='button.search' bundle='${msg}'/>"/>
            </form>
            <ul>
              <x:forEach var="ticket" select="$result//ticket">
                <x:set var="type" select='string($ticket/@type)'/>
                <x:set var="desc" select='string($ticket/@desc)'/>
                <x:set var="count" select='string($ticket/@count)'/>
                <c:url var="url" value="listTickets.jsp" >
                  <c:param name="ticketType" value="${type}" />
                  <c:param name="ticketDesc" value="${desc}"/>" />
                </c:url>
                <li><a href="${url}"><fmt:message key="main.menu.my" bundle="${msg}"/>&nbsp;<fmt:message key="${desc}" bundle="${msg}"/> (${count})</a></li>
              </x:forEach>
            </ul>
          </div>
        </div>
      </c:if>
      <c:if test="${!empty loginException}">
        <c:url var="loginurl" value="menu.jsp"/> 
        <%@ include file="login.jsp"%>
      </c:if>
    </div>
    <jsp:include page="footer.jsp">
      <jsp:param name="menu" value="true"/>
    </jsp:include>
  </body>
</html>
