<%@ page contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>

<c:set var="xslt">
  <xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <!-- Root template -->
    <xsl:template match="/">
      <xsl:for-each select="results/records/record">
      <xsl:sort select="last_mod_dt" order="descending"/>
        <xsl:element name="tr">
          <xsl:attribute name="title"><xsl:value-of select="description"/></xsl:attribute> 
          <xsl:attribute name="style">cursor: pointer</xsl:attribute> 
          <td>
            <div>
              <span style="float: left;"><strong><xsl:value-of select="combo_name"/></strong></span>
              <span style="float: right;"><strong><xsl:value-of select="formatted_date"/></strong></span>
            </div>
            <br/>
            <div>
              <span style="float: left;"><xsl:value-of select="description"/></span>
            </div>
          </td>
        </xsl:element>
      </xsl:for-each>
    </xsl:template>
  </xsl:stylesheet>
</c:set>

<!-- Retrieve the activity log from CA SDM for the ticket-->
<esr:request action="getActivities" service="caservicedesk" domain="caservicedesk">
  <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
  <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
  <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
  <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
  <esr:argument name="whereClause" type="string">id = '${param.persistent_id}'</esr:argument>
  <esr:argument name="startIndex" type="string">${param.startIndex}</esr:argument>
  <esr:argument name="chunkSize" type="string">${param.chunkSize}</esr:argument>
  <esr:argument name="reverse" type="string">false</esr:argument>
  <esr:argument name="listLength" type="string">${param.listLength}</esr:argument>
  <esr:argument name="listHandle" type="string">${param.listHandle}</esr:argument>
</esr:request>
<x:transform xml="${pageScope.result.response}" xslt="${xslt}"/>
<c:if test="${(param.startIndex + param.chunkSize) < param.listLength}">
  <tr id="more">
    <td><a href="#" class="more">Load More...</a></td>
  </tr>
</c:if>



