<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page isELIgnored ="false" %> 

<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />
<jsp:useBean id="dateValue" class="java.util.Date" />

<html>
  <head>
    <fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>

    <c:if test="${param.mustComment == 'true'}">
      <c:url var="commentRequired" value="addActivity.jsp"/>
      <jsp:forward page="${commentRequired}">
        <jsp:param name="ticketType" value="${param.ticketType}"/>
        <jsp:param name="objectHandle" value="${param.persistent_id}"/>
        <jsp:param name="mustComment" value="${param.mustComment}"/>
      </jsp:forward>
    </c:if>

    <c:choose>
      <c:when test="${param.ticketType == 'chg'}">
        <c:set var="ref_num" value="chg_ref_num"/>
        <c:set var="last_mod_dt" value="modified_date"/>
        <c:set var="urgency" value="risk"/>
        <c:set var="categoryObject" value="chgcat"/>
      </c:when>
      <c:when test="${param.ticketType == 'iss'}">
        <c:set var="ref_num" value="ref_num"/>
        <c:set var="last_mod_dt" value="modified_date"/>
        <c:set var="urgency" value="effort"/>
        <c:set var="categoryObject" value="isscat"/>
      </c:when>
      <c:otherwise>
        <c:set var="ref_num" value="ref_num"/>
        <c:set var="last_mod_dt" value="last_mod_dt"/>
        <c:set var="urgency" value="urgency"/>
        <c:set var="categoryObject" value="pcat"/>
      </c:otherwise>
    </c:choose>


    <!-- Handle the use case of whether the user has populated the requester/assignee/group
         with a valid value using autocomplete. If not, send the entered value in the query -->
    <c:choose>
      <c:when test="${empty param.requesterId && !empty param.requester}">
        <c:set var="requester_name" value="${param.requester}"/>
      </c:when>
      <c:otherwise>
        <c:set var="requester_name" value="${param.requesterId}"/>
      </c:otherwise>
    </c:choose>

    <c:choose>
      <c:when test="${empty param.assigneeId && !empty param.assignee}">
        <c:set var="assignee_name" value="${param.assignee}"/>
      </c:when>
      <c:otherwise>
        <c:set var="assignee_name" value="${param.assigneeId}"/>
      </c:otherwise>
    </c:choose>

    <c:choose>
      <c:when test="${empty param.groupId && !empty param.group}">
        <c:set var="group_name" value="${param.group}"/>
      </c:when>
      <c:otherwise>
        <c:set var="group_name" value="${param.groupId}"/>
      </c:otherwise>
    </c:choose>
    
    <c:choose>
      <c:when test="${empty param.categoryId && !empty param.category}">
        <c:set var="category_desc" value="${param.category}"/>
      </c:when>
      <c:otherwise>
        <c:set var="category_desc" value="${param.categoryId}"/>
      </c:otherwise>
    </c:choose>

    <!-- Post the data to the server if the ticket has been updated -->
    <c:if test='${!empty param.updateTicket}'>
      <c:catch var="updateException">
        <esr:request action="updateTicket" service="caservicedesk" domain="caservicedesk">
          <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
          <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
          <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
          <esr:argument name="id" type="string">${param.refNum}</esr:argument>
          <esr:argument name="status" type="string">${param.newstatus}</esr:argument>
          <esr:argument name="objectHandle" type="string">${param.persistent_id}</esr:argument>
          <esr:argument name="urgency" type="string">${param.newurgency}</esr:argument>
          <esr:argument name="impact" type="string">${param.newimpact}</esr:argument>
          <esr:argument name="category" type="string">${category_desc}</esr:argument>
          <esr:argument name="requested_by" type="string">${requester_name}</esr:argument>
          <esr:argument name="group" type="string">${group_name}</esr:argument>
          <esr:argument name="assignee" type="string">${assignee_name}</esr:argument>
          <esr:argument name="userid" type="string">${sessionScope.userid}</esr:argument>
          <esr:argument name="logType" type="string">${param.logType}</esr:argument>
          <esr:argument name="internal" type="string">${param.internal}</esr:argument>
          <esr:argument name="description" type="string">${param.description}</esr:argument>
          <esr:argument name="status_comment_f" type="string">${param.status_comment_f}</esr:argument>
          <esr:argument name="ticketType" type="string">${param.ticketType}</esr:argument>
        </esr:request>
      </c:catch>
    </c:if>

    <!-- Free any previous list handle -->
    <esr:request action="freeListHandle" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="listHandle" type="string">${param.listHandle}</esr:argument>
    </esr:request>

    <!-- Retrieve the ticket requested -->
    <esr:request action="doQuery" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
      <esr:argument name="whereClause" type="string">persistent_id = '${param.persistent_id}'</esr:argument>
      <esr:argument name="attributes" type="string">${ref_num}, persistent_id, requested_by, requested_by.combo_name, priority, priority.sym, status, status.sym, ${urgency}, ${urgency}.sym, impact, impact.sym, category, category.sym, group, group.combo_name, group.userid, group.last_name, assignee, assignee.userid, assignee.combo_name, assignee.userid, summary, open_date, close_date, ${last_mod_dt}, log_agent, log_agent.combo_name</esr:argument>
    </esr:request>
    <c:set var="ticketXml">${pageScope.result.response}</c:set>
    <x:parse var="tickets" doc="${ticketXml}"/>

    <!-- Retrieve the status transitions from CA SDM -->
    <esr:request action="getValidTransitions" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectHandle" type="string"><x:out select="string($tickets//record/persistent_id)"/></esr:argument>
      <esr:argument name="ticketFactory" type="string">${param.ticketType}</esr:argument>
    </esr:request>
    <c:set var="transitionXml">${pageScope.result.response}</c:set>
    <x:parse var="transitions" doc="${transitionXml}"/>

    <!-- Retrieve the activity log count from CA SDM -->
    <esr:request action="getRelatedList" service="caservicedesk" domain="caservicedesk">
      <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
      <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
      <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
      <esr:argument name="objectHandle" type="string"><x:out select="string($tickets//record/persistent_id)"/></esr:argument>
      <esr:argument name="listName" type="string">act_log_all</esr:argument>
    </esr:request>
    <c:set var="activityXml">${pageScope.result.response}</c:set>
    <x:parse var="activityDetails" doc="${activityXml}"/>
    <x:set var="activityCount" select="string($activityDetails//listLength)"/>
    <x:set var="listHandle" select="string($activityDetails//listHandle)"/>
    
    <c:if test="${empty sessionScope.statuses}">
      <esr:request action="getStatuses" service="caservicedesk" domain="caservicedesk">
        <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
        <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
        <esr:argument name="password" type="string">${sessionScope.casdmPassword}</esr:argument>
        <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
      </esr:request>
      <c:set var="statusXml">${pageScope.result.response}</c:set>
      <x:parse var="statuses" doc="${statusXml}" scope="session"/>
    </c:if>

    <x:set var="persistent_id" select="string($tickets//record/persistent_id)"/>
    <c:url var="searchActivitiesUrl" value="searchActivities.jsp" >
      <c:param name="persistent_id" value="${persistent_id}" />
      <c:param name="ticketType" value="${param.ticketType}" />
      <c:param name="listLength" value="${activityCount}" />
      <c:param name="listHandle" value="${listHandle}" />
    </c:url>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title><fmt:message key="screen.title" bundle="${msg}"/></title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <script src="/mg/includes/javascript/jquery-1.4.4.js"></script>
    <script src="/mg/includes/javascript/jquery.ui.core.js"></script>
    <script src="/mg/includes/javascript/jquery.ui.widget.js"></script>
    <script src="/mg/includes/javascript/jquery.ui.position.js"></script>
    <script src="/mg/includes/javascript/jquery.ui.autocomplete.js"></script>
    <style type="text/css" media="all" title="xMatters mobile access">
      .ui-autocomplete-loading { background: white url('images/ui-anim_basic_16x16.gif') right center no-repeat; }
    </style>

    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/caservicedesk.css");
      label.required {
      	font-weight: bold;
      	color: #990033;
      }

   </style>
    <script type="text/javascript">
      $(function(){
        
        var ajaxCall = function( endpoint, objectType, fieldName1, fieldName2, fieldName3, keyField, valueField ) {
          return (function( request, response ) {
            $.ajax({
              url: endpoint,
              dataType: "xml",
              data: {
                param1: request.term,
                param2: objectType,
                param3: fieldName1,
                param4: fieldName2,
                param5: fieldName3
              },
              success: function( data ) {
                var results = parseXml( data, keyField, valueField );
					      response( $.map( results, function( item ) {
						      return {
							      id: item.id,
							      value: item.value
						      }
					      }));
              }
            });
          });
        };

        function parseXml( data, keyField, valueField ) {
          var results = [];
          $(data).find('record').each(function() {
              results[results.length] = { 
                id: $.trim($(this).find(keyField).text()),
                value: $.trim($(this).find(valueField).text())
              };
          });
          return results;
        }

        var styleField = function(oldClass, newClass) {
          $( this ).removeClass( oldClass ).addClass( newClass );
        };

        $( "#requester" ).autocomplete({
          source: ajaxCall( "<c:url value='search.jsp' />", "cnt", "userid", "last_name", "first_name", "userid", "combo_name" ),
          minLength: 2,
          select: function( event, ui ) {
            $('#requesterId').val(ui.item.id);
            $('#requesterName').val(ui.item.value);
          },
          change: function( event, ui) {
            if (!ui.item) {
              $('#requesterId').val("");
            }
          },
          open: styleField( "ui-corner-all", "ui-corner-top" ),
          close: styleField( "ui-corner-top", "ui-corner-all" )
        });

        $( "#assignee" ).autocomplete({
          source: ajaxCall( "<c:url value='search.jsp' />", "cnt", "userid", "last_name", "first_name", "userid", "combo_name" ),
          minLength: 2,
          select: function( event, ui ) {
            $('#assigneeId').val(ui.item.id);
            $('#assigneeName').val(ui.item.value);
          },
          change: function( event, ui) {
            if (!ui.item) {
              $('#assigneeId').val("");
            }
          },
          open: styleField( "ui-corner-all", "ui-corner-top" ),
          close: styleField( "ui-corner-top", "ui-corner-all" )
        });

        $( "#group" ).autocomplete({
          source: ajaxCall( "<c:url value='search.jsp' />", "grp", "last_name", "", "", "last_name", "combo_name" ),
          minLength: 2,
          select: function( event, ui ) {
            $('#groupId').val(ui.item.id);
            $('#groupName').val(ui.item.value);
          },
          change: function( event, ui) {
            if (!ui.item) {
              $('#groupId').val("");
            }
          },
          open: styleField( "ui-corner-all", "ui-corner-top" ),
          close: styleField( "ui-corner-top", "ui-corner-all" )
        });
        $( "#category" ).autocomplete({
          source: ajaxCall( "<c:url value='search.jsp' />", "${categoryObject}", "sym", "", "", "sym", "sym" ),
          minLength: 2,
          select: function( event, ui ) {
            $('#categoryId').val(ui.item.id);
            $('#categoryDesc').val(ui.item.value);
          },
          change: function( event, ui) {
            if (!ui.item) {
              $('#categoryId').val("");
            }
          },
          open: styleField( "ui-corner-all", "ui-corner-top" ),
          close: styleField( "ui-corner-top", "ui-corner-all" )
        });

         // On changing the status, check if the status requires a comment
         function onSelectChange() {
           var selected = $("#newstatus option:selected");
           if ((selected.attr("id").indexOf(":1") != -1)) {
             $("#mustComment").val("true")
           }
           getSelectValue(selected, $("#statusDesc"));
         }
         // JQuery OnChange functionality to determine if update requires a comment
         $("#newstatus").change(onSelectChange);
         $("#newimpact").change(function() {
           getSelectValue($("#newimpact option:selected"), $("#impactDesc"));
         });
         $("#newurgency").change(function() {
           getSelectValue($("#newurgency option:selected"), $("#urgencyDesc"));
         });
         
         function getSelectValue(select, target) {
           select.each(function() {
             target.val($(this).text());
           })
         }
         
        // Set the values for the autocomplete. If the autocomplete does not find
        // a valid value OR the value is not populated as a result of the autocomplete,
        // set the field values according to the text field. If the text field is blank,
        // ensure the other associated fields are blanked out.
        function setValue(currentId, current, currentDesc) {
          if (current.val()=="") {
            currentId.val("");
            currentDesc.val("");
          }       
          else if (current.val() != "" && currentId.val() == "")
          {
            currentDesc.val(current.val());
          }
        }

        $( "#target").submit(function() {
          setValue($("#requesterId"), $("#requester"), $("#requesterName"));
          setValue($("#assigneeId"), $("#assignee"), $("#assigneeName"));
          setValue($("#groupId"), $("#group"), $("#groupName"));
          setValue($("#categoryId"), $("#category"), $("#categoryDesc"));
        });
        
      });
    </script>
    
  </head>
  <body>
    <div id="content">
      <c:url var="diffTicket" value="diff.jsp" />
      <form id="target" method="post" action="${diffTicket}">
        <div class="main box">
          <fmt:message var="ticketTypeDesc" key="ticket.type.${param.ticketType}" bundle="${msg}"/>
          <c:choose>
            <c:when test="${param.ticketType == 'chg'}">
              <x:set var="refNum" select='string($tickets//record/chg_ref_num)'/>
            </c:when>
            <c:otherwise>
              <x:set var="refNum" select='string($tickets//record/ref_num)'/>
            </c:otherwise>
          </c:choose>
          <h1><fmt:message key="management.system" bundle="${msg}"/>&nbsp;${ticketTypeDesc}&nbsp;${refNum}</h1>
          <div class="lining">
            <c:if test="${param.updateTicket != null}">
              <c:choose>
                <c:when test="${updateException != null}">
                  <div class="alert-message"> 
                    ${fn:replace(updateException.message, sessionScope.exceptionString, "")}
                  </div>
                </c:when>
                <c:otherwise>
                  <div class="success-message"> 
                    <fmt:message key="ticket.update.success" bundle="${msg}"/>
                  </div>
                </c:otherwise>
              </c:choose>
            </c:if>
            
            <input type="hidden" id="oldTicket" name="oldTicket" value="${ticketXml}"/>
            <input type="hidden" id="refNum" name="refNum" value="<x:out select='string($tickets//record/ref_num)' />"/>
            <input type="hidden" id="objectHandle" name="objectHandle" value="<x:out select='string($tickets//record/persistent_id)' />"/>
            <input type="hidden" id="ticketType" name="ticketType" value="${param.ticketType}"/>
            <input type="hidden" id="status_comment_f" name="status_comment_f" value="0"/>
            <input type="hidden" id="mustComment" name="mustComment" value="false"/>
            <input type="hidden" id="requesterName" name="requesterName"/>
            <input type="hidden" id="assigneeName" name="assigneeName"/>
            <input type="hidden" id="groupName" name="groupName" />
            <input type="hidden" id="categoryDesc" name="categoryDesc"/>
            <input type="hidden" id="statusDesc" name="statusDesc"/>
            <input type="hidden" id="impactDesc" name="impactDesc"/>
            <input type="hidden" id="urgencyDesc" name="urgencyDesc"/>
            <c:if test="${empty param.isNew}">
              <div class="details">
                <label for="requester"><fmt:message key="ticket.requester.${param.ticketType}" bundle="${msg}"/>:</label>
                <span id="requester"><x:out select="string($tickets//record/requested_by.combo_name)"/>&nbsp;</span>
                <input type="hidden" id="requesterId" name="requesterId" value="<x:out select='string($tickets//record/requested_by.userid)'/>"/>
              </div>
            </c:if>
            <c:if test="${!empty param.isNew}">
              <div class="details">
                <label for="requester"><fmt:message key="ticket.requester.${param.ticketType}" bundle="${msg}"/>:</label>
                <input id="requester" name="requester" value="<x:out select='string($tickets//record/requested_by.combo_name)'/>"/>
                <input type="hidden" id="requesterId" name="requesterId" value="<x:out select='string($tickets//record/requested_by.userid)'/>"/>
              </div>
            </c:if>
            <div class="details">
              <label for="priority"><fmt:message key="ticket.priority" bundle="${msg}"/>:</label>
              <span id="priority"><x:out select="string($tickets//record/priority.sym)"/>&nbsp;</span>
            </div>
            <div class="details">
              <label for="newstatus"><fmt:message key="ticket.status" bundle="${msg}"/>:</label>
              <select id="newstatus" name="newstatus">
                <option value="<x:out select='string($tickets//record/status)'/>" selected="selected"><x:out select='$tickets//record/status.sym'/></option>
                <x:forEach var="transition" select="$transitions//record">
                  <option id="<x:out select='string($transition/new_status)'/>:<x:out select='string($transition/must_comment)'/>" value="<x:out select='string($transition/new_status)'/>"><x:out select='$sessionScope:statuses//status[@code=string($transition/new_status)]'/></option>
                </x:forEach>
              </select>
            </div>
            <c:if test="${param.ticketType != 'chg' && param.ticketType != 'iss'}">
              <div class="details">
                <label for="newurgency"><fmt:message key="ticket.urgency" bundle="${msg}"/>:</label>
                <x:set var="ticketUrgency" select="string($tickets//record/urgency)"/>
                <select id="newurgency" name="newurgency">
                  <option value=""></option>
                  <x:forEach var="urgency" select="$sessionScope:urgencyList//record">
                    <x:set var="urgencyCode" select='string($urgency/enum)'/>
                    <c:choose>
                      <c:when test="${ticketUrgency != urgencyCode}">
                        <option value="<x:out select='$urgency/enum'/>"><x:out select="$urgency/sym"/></option>
                      </c:when>
                      <c:otherwise>
                        <option value="<x:out select='$urgency/enum'/>" selected="selected"><x:out select="$urgency/sym"/></option>
                      </c:otherwise>
                    </c:choose>                    
                  </x:forEach>
                </select>
              </div>
            </c:if>
            <div class="details">
              <label for="newimpact"><fmt:message key="ticket.impact" bundle="${msg}"/>:</label>
              <x:set var="ticketImpact" select="string($tickets//record/impact)"/>
              <select id="newimpact" name="newimpact">
                <option value=""></option>
                <x:forEach var="impact" select="$sessionScope:impactList//record">
                  <x:set var="impactCode" select='string($impact/enum)'/>
                  <c:choose>
                    <c:when test="${ticketImpact != impactCode}">
                      <option value="<x:out select='$impact/enum'/>"><x:out select="$impact/sym"/></option>
                    </c:when>
                    <c:otherwise>
                      <option value="<x:out select='$impact/enum'/>" selected="selected"><x:out select="$impact/sym"/></option>
                    </c:otherwise>
                  </c:choose>                    
                </x:forEach>
              </select>
            </div>
            <div class="details">
              <label for="category"><fmt:message key="ticket.category" bundle="${msg}"/>:</label>
              <input id="category" name="category" value="<x:out select='string($tickets//record/category.sym)'/>"/>
              <input type="hidden" id="categoryId" name="categoryId" value="<x:out select='string($tickets//record/category.sym)'/>"/>
            </div>
            <div class="details">
              <label for="group"><fmt:message key="ticket.group" bundle="${msg}"/>:</label>
              <input id="group" name="group" value="<x:out select='string($tickets//record/group.combo_name)'/>"/>
              <input type="hidden" id="groupId" name="groupId" value="<x:out select='string($tickets//record/group.last_name)'/>"/>
            </div>
            <div class="details">
              <label for="assignee"><fmt:message key="ticket.assignee" bundle="${msg}"/>:</label>
              <input id="assignee" name="assignee" value="<x:out select='string($tickets//record/assignee.combo_name)'/>"/>
              <input type="hidden" id="assigneeId" name="assigneeId" value="<x:out select='string($tickets//record/assignee.userid)'/>"/>
            </div>
            <div class="details">
              <label for="description"><fmt:message key="ticket.description" bundle="${msg}"/>:</label>
              <span id="description"><x:out select="string($tickets//record/summary)"/>&nbsp;</span>
            </div>
            <div class="details">
              <label for="opened"><fmt:message key="ticket.opened" bundle="${msg}"/>:</label>
              <x:set var="open_date" select="string($tickets//record/open_date)"/>
              <span id="opened">
                <c:if test='${open_date != ""}'>
                  <c:catch var="e">
                    <jsp:setProperty name="dateValue" property="time" value="${open_date}000"/>
                    <fmt:formatDate value="${dateValue}" pattern="yyyy-MM-dd HH:mm:ss" />
                  </c:catch>
                </c:if>
                &nbsp;
              </span>
            </div>
            <div class="details">
              <label for="closed"><fmt:message key="ticket.closed" bundle="${msg}"/>:</label>
              <x:set var="close_date" select="string($tickets//record/close_date)"/>
              <span id="closed">
                <c:if test='${close_date != ""}'>
                  <c:catch var="e">
                      <jsp:setProperty name="dateValue" property="time" value="${close_date}000"/>
                      <fmt:formatDate value="${dateValue}" pattern="yyyy-MM-dd HH:mm:ss" />
                  </c:catch>
                </c:if>
                &nbsp;
              </span>
            </div>
            <div class="details">
              <label for="last_mod_dt"><fmt:message key="ticket.lastmod" bundle="${msg}"/>:</label>
              <x:set var="last_mod_dt" select="string($tickets//record/last_mod_dt)"/>
              <c:if test="${param.ticketType == 'chg' || param.ticketType == 'iss'}">
                <x:set var="last_mod_dt" select="string($tickets//record/modified_date)"/>
              </c:if>
              <span id="last_mod_dt">
                <c:if test='${last_mod_dt != ""}'>
                  <c:catch var="e">
                    <jsp:setProperty name="dateValue" property="time" value="${last_mod_dt}000"/>
                    <fmt:formatDate value="${dateValue}" pattern="yyyy-MM-dd HH:mm:ss" />
                  </c:catch>
                </c:if>
                &nbsp;
              </span>
            </div>
            <div class="details">
              <label for="reportedby"><fmt:message key="ticket.reportedby" bundle="${msg}"/>:</label>
              <span id="reportedby"><x:out select="string($tickets//record/log_agent.combo_name)"/></span>
            </div>
            
            <fmt:message var="updateTicketDesc" key="button.update" bundle="${msg}">
              <fmt:param value="${ticketTypeDesc}"/>
            </fmt:message>
            <c:url var="viewActivities" value="viewActivities.jsp">
              <c:param name="ticketType" value="${param.ticketType}"/>
              <c:param name="objectHandle" value="${param.persistent_id}"/>
              <c:param name="refNum" value="${refNum}"/>
            </c:url>
            
            <c:if test="${empty param.isNew}">
              <input type="submit" class="button" name="updateTicket" value="${updateTicketDesc}"/>
              <input type="button" class="button" name="viewActivity" value="<fmt:message key='button.view.activity' bundle='${msg}'/>" onclick="location.href='${viewActivities}'"/>
            </c:if>
            <c:if test="${!empty param.isNew}">
              <fmt:message var="saveTicketDesc" key="button.save" bundle="${msg}">
                <fmt:param value="${ticketTypeDesc}"/>
              </fmt:message>
              <input type="submit" class="button" name="updateTicket" value="${saveTicketDesc}"/>
            </c:if>
          </div>
        </div>
      </form>
    </div>
    <jsp:include page="footer.jsp"/>
  </body>
</html>
