<%@ taglib uri="http://alarmpoint.com/alarmpoint/3.0#mobilegateway" prefix="esr" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<%@ include file="initialize.jsp"%>

<c:if test="${empty loginException}">
  <esr:request action="getStatuses" service="caservicedesk" domain="caservicedesk">
    <esr:argument name="sid" type="string">${sessionScope.sid}</esr:argument>
    <esr:argument name="username" type="string">${sessionScope.casdmUsername}</esr:argument>
    <esr:argument name="password" type="string">${session.casdmPassword}</esr:argument>
    <esr:argument name="objectType" type="string">${param.ticketType}</esr:argument>
  </esr:request>
  <c:set var="statusXml">${pageScope.result.response}</c:set>
  <x:parse var="statuses" doc="${statusXml}" scope="session"/>

  <jsp:forward page="showTicket.jsp">
    <jsp:param name="ticketType" value="${param.ticketType}"/>
    <jsp:param name="persistent_id" value="${param.persistent_id}"/>
  </jsp:forward>
</c:if>
<c:if test="${!empty loginException}">
  <html>
    <head>
      <fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
      <title><fmt:message key="screen.title" bundle="${msg}"/></title>
      <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <meta http-equiv="Cache-Control" content="max-age=0" />
      <meta http-equiv="Pragma" content="no-cache" />
      <meta http-equiv="Expires" content="-1" />
      <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
      <meta name="MobileOptimized" content="100" />

      <style type="text/css" media="all" title="xMatters mobile access">
        @import url("/mg/css/caservicedesk.css");
        label.required {
        	font-weight: bold;
        	color: #990033;
        }
      </style>
    </head>
    <body>
    <div id="content">
      <c:url var="loginurl" value="urlAlias.jsp"> 
        <c:param name="ticketType" value="${param.ticketType}"/>
        <c:param name="persistent_id" value="${param.persistent_id}"/>
      </c:url>
      <%@ include file="login.jsp"%>
    </div>
    </body>
  </html>
</c:if>

